Back to Xiaohongshu (RedNote)
TikHub·Xiaohongshu (RedNote)

Xiaohongshu App V2: Get topic feed

/api/v1/xiaohongshu/app_v2/get_topic_feedsync$0.015 / call

Get notes list under a specified topic, supports sorting by trending or latest, using cursor pagination (TikHub · Xiaohongshu App V2)

Input
  • page_idstringrequired

    Topic page ID

  • sortstring

    /Sort: trend( ), time( ) (default "trend")

  • cursor_scorestring

    Pagination cursor score for next page (default "")

  • last_note_idstring

    Last note ID from previous page (default "")

  • last_note_ctstring

    Last note create time from previous page (default "")

  • session_idstring

    Session ID, keep consistent for pagination (default "")

  • first_load_timestring

    First load timestamp, keep consistent for pagination (default "")

  • sourcestring

    Source (default "normal")

Run it

curl -s https://sooma.dev/v1/run \ -H "Authorization: Bearer $SOOMA_API_KEY" \ -H "Content-Type: application/json" \ -d '{"provider":"tikhub","endpoint":"/api/v1/xiaohongshu/app_v2/get_topic_feed","input":{}}'

Or ask your agent: it will call inspect for this schema and run it over MCP.